List Insurers
curl --request GET \
--url https://api.anagram.care/api/public/1/insurers/import requests
url = "https://api.anagram.care/api/public/1/insurers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.anagram.care/api/public/1/insurers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"name": "VSP",
"alternative_names": [
"Vision Service Plan"
],
"code": "insurer:vision:vsp",
"is_vision": true
}
]
}{
"detail": "Invalid insurer type: dental. Available types: vision, medical"
}Public API
List Insurers
Retrieve insurers available in the Anagram directory
GET
/
api
/
public
/
1
/
insurers
/
List Insurers
Use the returned
code value as the insurer identifier in eligibility and claim requests.Query Parameters
Search for an insurer by name, alternative names, and keywords
Filter by an exact insurer code
Filter insurers by type
Available options:
vision, medical Zero-based page number
Number of insurers per page
Required range:
x <= 100